com.massivecraft.factions.struct

## Enum ChatMode

- java.lang.Object
- - java.lang.Enum<ChatMode>
  - - com.massivecraft.factions.struct.ChatMode

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ChatMode>

      public enum ChatMode
      extends java.lang.Enum<ChatMode>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALLIANCE`
    `FACTION`
    `MOD`
    `PUBLIC`
    `TRUCE`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `TL` | `nicename`
    `int` | `value`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ChatMode` | `getNext()`
    `boolean` | `isAtLeast(ChatMode role)`
    `boolean` | `isAtMost(ChatMode role)`
    `java.lang.String` | `toString()`
    `static ChatMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ChatMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### MOD

          public static final ChatMode MOD

    - #### FACTION

          public static final ChatMode FACTION

    - #### ALLIANCE

          public static final ChatMode ALLIANCE

    - #### TRUCE

          public static final ChatMode TRUCE

    - #### PUBLIC

          public static final ChatMode PUBLIC

  - ### Field Detail

    - #### value

          public final int value

    - #### nicename

          public final TL nicename

  - ### Method Detail

    - #### values

          public static ChatMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ChatMode c : ChatMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ChatMode valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### isAtLeast

          public boolean isAtLeast(ChatMode role)

    - #### isAtMost

          public boolean isAtMost(ChatMode role)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<ChatMode>`

    - #### getNext

          public ChatMode getNext()